Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
OsiBranchingInformation Class Reference

`#include <OsiBranchingObject.hpp>`

Collaboration diagram for OsiBranchingInformation:
[legend]

## Public Member Functions
| OsiBranchingInformation ()
| Default Constructor. More...
| OsiBranchingInformation (const OsiSolverInterface *solver, bool normalSolver, bool copySolution=false)
| Useful Constructor (normalSolver true if has matrix etc etc) copySolution true if constructot should make a copy. More...
| OsiBranchingInformation (const OsiBranchingInformation &)
| Copy constructor. More...
OsiBranchingInformation & | operator= (const OsiBranchingInformation &rhs)
| Assignment operator. More...
virtual OsiBranchingInformation * | clone () const
| Clone. More...
virtual | ~OsiBranchingInformation ()
| Destructor. More...

## Public Attributes
int | stateOfSearch_
| data More...
double | objectiveValue_
| Value of objective function (in minimization sense) More...
double | cutoff_
| Value of objective cutoff (in minimization sense) More...
double | direction_
| Direction 1.0 for minimization, -1.0 for maximization. More...
double | integerTolerance_
| Integer tolerance. More...
double | primalTolerance_
| Primal tolerance. More...
double | timeRemaining_
| Maximum time remaining before stopping on time. More...
double | defaultDual_
| Dual to use if row bound violated (if negative then pseudoShadowPrices off) More...
const OsiSolverInterface * | solver_
| Pointer to solver. More...
int | numberColumns_
| The number of columns. More...
const double * | lower_
| Pointer to current lower bounds on columns. More...
const double * | solution_
| Pointer to current solution. More...
const double * | upper_
| Pointer to current upper bounds on columns. More...
const double * | hotstartSolution_
| Highly optional target (hot start) solution. More...
const double * | pi_
| Pointer to duals. More...
const double * | rowActivity_
| Pointer to row activity. More...
const double * | objective_
| Objective. More...
const double * | rowLower_
| Pointer to current lower bounds on rows. More...
const double * | rowUpper_
| Pointer to current upper bounds on rows. More...
const double * | elementByColumn_
| Elements in column copy of matrix. More...
const CoinBigIndex * | columnStart_
| Column starts. More...
const int * | columnLength_
| Column lengths. More...
const int * | row_
| Row indices. More...
double * | usefulRegion_
| Useful region of length CoinMax(numberColumns,2*numberRows) This is allocated and deleted before OsiObject::infeasibility It is zeroed on entry and should be so on exit It only exists if defaultDual_>=0.0. More...
int * | indexRegion_
| Useful index region to go with usefulRegion_. More...
int | numberSolutions_
| Number of solutions found. More...
int | numberBranchingSolutions_
| Number of branching solutions found (i.e. exclude heuristics) More...
int | depth_
| Depth in tree. More...
bool | owningSolution_
| TEMP. More...

## Detailed Description

Definition at line 414 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiBranchingInformation::OsiBranchingInformation | ( |  | ) |

Default Constructor.

OsiBranchingInformation::OsiBranchingInformation | ( | const OsiSolverInterface * | solver,
|  | bool | normalSolver,
|  | bool | copySolution = `false`
| ) |  |

Useful Constructor (normalSolver true if has matrix etc etc) copySolution true if constructot should make a copy.

OsiBranchingInformation::OsiBranchingInformation | ( | const OsiBranchingInformation & |  | ) |

Copy constructor.

virtual OsiBranchingInformation::~OsiBranchingInformation | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

OsiBranchingInformation& OsiBranchingInformation::operator= | ( | const OsiBranchingInformation & | rhs | ) |

Assignment operator.

virtual OsiBranchingInformation* OsiBranchingInformation::clone | ( |  | ) | const
| virtual

Clone.

## Member Data Documentation

int OsiBranchingInformation::stateOfSearch_

data

State of search 0 - no solution 1 - only heuristic solutions 2 - branched to a solution 3 - no solution but many nodes

Definition at line 448 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::objectiveValue_

Value of objective function (in minimization sense)

Definition at line 450 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::cutoff_

Value of objective cutoff (in minimization sense)

Definition at line 452 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::direction_

Direction 1.0 for minimization, -1.0 for maximization.

Definition at line 454 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::integerTolerance_

Integer tolerance.

Definition at line 456 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::primalTolerance_

Primal tolerance.

Definition at line 458 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::timeRemaining_

Maximum time remaining before stopping on time.

Definition at line 460 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::defaultDual_

Dual to use if row bound violated (if negative then pseudoShadowPrices off)

Definition at line 462 of file OsiBranchingObject.hpp.

const OsiSolverInterface* OsiBranchingInformation::solver_
| mutable

Pointer to solver.

Definition at line 464 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberColumns_

The number of columns.

Definition at line 466 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::lower_
| mutable

Pointer to current lower bounds on columns.

Definition at line 468 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::solution_
| mutable

Pointer to current solution.

Definition at line 470 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::upper_
| mutable

Pointer to current upper bounds on columns.

Definition at line 472 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::hotstartSolution_

Highly optional target (hot start) solution.

Definition at line 474 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::pi_

Pointer to duals.

Definition at line 476 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowActivity_

Pointer to row activity.

Definition at line 478 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::objective_

Objective.

Definition at line 480 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowLower_

Pointer to current lower bounds on rows.

Definition at line 482 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowUpper_

Pointer to current upper bounds on rows.

Definition at line 484 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::elementByColumn_

Elements in column copy of matrix.

Definition at line 486 of file OsiBranchingObject.hpp.

const CoinBigIndex* OsiBranchingInformation::columnStart_

Column starts.

Definition at line 488 of file OsiBranchingObject.hpp.

const int* OsiBranchingInformation::columnLength_

Column lengths.

Definition at line 490 of file OsiBranchingObject.hpp.

const int* OsiBranchingInformation::row_

Row indices.

Definition at line 492 of file OsiBranchingObject.hpp.

double* OsiBranchingInformation::usefulRegion_

Useful region of length CoinMax(numberColumns,2*numberRows) This is allocated and deleted before OsiObject::infeasibility It is zeroed on entry and should be so on exit It only exists if defaultDual_>=0.0.

Definition at line 498 of file OsiBranchingObject.hpp.

int* OsiBranchingInformation::indexRegion_

Useful index region to go with usefulRegion_.

Definition at line 500 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberSolutions_

Number of solutions found.

Definition at line 502 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberBranchingSolutions_

Number of branching solutions found (i.e. exclude heuristics)

Definition at line 504 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::depth_

Depth in tree.

Definition at line 506 of file OsiBranchingObject.hpp.

bool OsiBranchingInformation::owningSolution_

TEMP.

Definition at line 508 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/src/Osi/OsiBranchingObject.hpp